Tenant Setup
curl --request POST \
--url https://app.apigene.ai/api/tenant/setup \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"license_token": "<string>",
"admin_email": "jsmith@example.com",
"admin_name": "<string>",
"admin_password": "<string>"
}
'import requests
url = "https://app.apigene.ai/api/tenant/setup"
payload = {
"license_token": "<string>",
"admin_email": "jsmith@example.com",
"admin_name": "<string>",
"admin_password": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
license_token: '<string>',
admin_email: 'jsmith@example.com',
admin_name: '<string>',
admin_password: '<string>'
})
};
fetch('https://app.apigene.ai/api/tenant/setup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"tenant_org_token": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Tenant
Tenant Setup
Public endpoint to provision a single-tenant environment using a license. It validates the license, creates tenant DB, registers the first admin, and returns an org token.
POST
/
api
/
tenant
/
setup
Tenant Setup
Authorizations
JWT Authorization header using the Bearer scheme. Example: 'Authorization: Bearer {token}'
Body
application/json
⌘I
